\name{newsim}
\alias{newsim}

\title{
Create a new simulation.
}

\description{

Creates an environment for a simulation.

}

\usage{
newsim(reactevent,dbg=FALSE)
}

\arguments{
   \item{dbg}{If TRUE, the simulation will be run in debug mode.  Each
   time an event is processed, that event and the new events list will
   be displayed, and R will enter browser (debug) mode.}
   \item{reactevent}{Application-specific code to react to the various
      events.}
}

\details{ 

An R environment will be created for the simulation, with initialized
variables \code{currtime} (current simulated time) and \code{evnts}, the
events list.

The latter consists of a matrix, one row per event, ordered by event
time.  Within a row, the first two components are occurrence time and
user-defined event type.  The user may add further components, e.g.
arrival time of a job.

The third component will be \code{dbg}.

A fourth component, \code{reactevent}.

}

\value{The newly-created R environment.}

\author{
Norm Matloff <matloff@cs.ucdavis.edu> 
}




